Resource

User's On-Call Duty Escalation Rule

Manage on-call duty escalation rule for the on-call policy.

The User's On-Call Duty Escalation Rule Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to On-Call Policy where this escalation rule belongs.

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy where this escalation rule belongs.

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    Relation to On-Call Policy Escalation Rule where this user belongs.

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Escalation Rule where this user belongs.

  • Name
    user
    Type
    User
    Description

    Relation to User who is in this escalation rule.

  • Name
    userId
    Type
    Object ID
    Description

    ID of the user who is in this escalation rule.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/on-call-duty-policy-escalation-rule-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your User's On-Call Duty Escalation Rule. By default, a maximum of ten User's On-Call Duty Escalation Rule are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-escalation-rule-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "_id": true,
    "createdAt": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377f9b70-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377f9b71-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377f9b72-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-escalation-rule-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve User's On-Call Duty Escalation Rule by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-escalation-rule-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/on-call-duty-policy-escalation-rule-user/count

Count

This endpoint allows you to retrieve the count of all your User's On-Call Duty Escalation Rule.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-escalation-rule-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-escalation-rule-user

Create User's On-Call Duty Escalation Rule

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-escalation-rule-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
    "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/on-call-duty-policy-escalation-rule-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-escalation-rule-user/:id/update-item
GET/api/on-call-duty-policy-escalation-rule-user/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-escalation-rule-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/on-call-duty-policy-escalation-rule-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-escalation-rule-user/:id/delete-item
GET/api/on-call-duty-policy-escalation-rule-user/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-escalation-rule-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read User's On-Call Duty Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy Escalation Rule User
  • Read All Project Resources

Create Permissions

Required to create User's On-Call Duty Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy Escalation Rule User

Update Permissions

Required to update User's On-Call Duty Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Edit On-Call Duty Policy Escalation Rule User

Delete Permissions

Required to delete User's On-Call Duty Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Delete On-Call Duty Policy Escalation Rule User